"""Support for testing PloneFormMailer.
"""
import time

from Testing import ZopeTestCase
from Products.CMFPlone.tests.PloneTestCase import PloneTestCase

ZopeTestCase.installProduct('Formulator')
ZopeTestCase.installProduct('MimetypesRegistry')
ZopeTestCase.installProduct('PortalTransforms')
ZopeTestCase.installProduct('Archetypes')
ZopeTestCase.installProduct('PloneFormMailer')
ZopeTestCase.installProduct('TALESField')

class PloneFormMailerTestCase(PloneTestCase):
    """Test case for proping up a test portal."""
    pass

def setupPloneFormMailerTestCase(app, quiet=0):
    get_transaction().begin()
    _start = time.time()
    if not quiet:
        ZopeTestCase._print('Adding PloneFormMailer ... ')
    app.portal.portal_quickinstaller.installProduct('PloneFormMailer')
    get_transaction().commit()
    if not quiet:
        ZopeTestCase._print('done (%.3fs)\n' % (time.time()-_start,))

app = ZopeTestCase.app()
setupPloneFormMailerTestCase(app)
ZopeTestCase.close(app)
