#!/bin/sh

# Synchronise the pfm.pot with the templates.
# Also merge it with generated.pot, which includes the items
# from schema.py
i18ndude rebuild-pot --pot i18n/pfm.pot --create pfm --merge i18n/generated.pot skins/PloneFormMailer

# Synchronise the resulting pfm.pot with the .po files
i18ndude sync --pot i18n/pfm.pot i18n/pfm*.po

# Synchronise the plone*.po files with the hand-made plone-pfm.pot
i18ndude sync --pot i18n/plone-pfm.pot i18n/plone*.po
